Subject: bug#78101: closed (Re: bug#78101: Acknowledgement (guix deploy fails with "In procedure map: Wrong type argument: #t"))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 May 2025 16:37:02 +0000

Your bug report

#78101: guix deploy fails with "In procedure map: Wrong type argument: #t"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78101: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78101
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78101: Acknowledgement (guix deploy fails with "In procedure map: Wrong type argument: #t")
From: Arun Isaac <[email-masked]>
To: [email-masked]
Date: Fri, 02 May 2025 17:36:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I think this was a problem in my installed version of shepherd. The
shepherd socket vanished after system reconfiguring, and guix deploy was
unable to talk to it. I worked around as follows: I did a reconfigure on
the machine, upgrading to a newer version of shepherd, and rebooted.
Thereafter, I was able to guix deploy to the machine.

Subject: guix deploy fails with "In procedure map: Wrong type argument: #t"
From: Arun Isaac <[email-masked]>
To: [email-masked]
Date: Mon, 28 Apr 2025 00:10:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

guix deploy fails with "In procedure map: Wrong type argument: #t". Full
stacktrace below. This may be related to the recent shepherd 1.0.4
upgrade.

--8<---------------cut here---------------start------------->8---
The following 1 machine will be deployed:
  foo

guix deploy: deploying to foo...
guix deploy: sending 0 store items (0 MiB) to '192.168.1.178'...
guix deploy: sending 0 store items (0 MiB) to '192.168.1.178'...
guix deploy: sending 0 store items (0 MiB) to '192.168.1.178'...
guix deploy: sending 0 store items (0 MiB) to '192.168.1.178'...
guix deploy: warning: an error occurred while upgrading services on 'foo':
system-error "connect" "~A" ("No such file or directory") (2) 
Backtrace:
In guix/store.scm:
   1331:8 19 (call-with-build-handler _ _)
   1331:8 18 (call-with-build-handler _ _)
   1331:8 17 (call-with-build-handler #<procedure 7f071e9dc450 at guix/ui.scm:1242:2 (continue store things mode)> _)
In guix/scripts/deploy.scm:
   347:23 16 (_)
In guix/store.scm:
  1438:13 15 (map/accumulate-builds #<store-connection 256.100 7f071b3b47d0> #<procedure 7f071d46f200 at guix/scripts/deploy.scm…> …)
  1438:13 14 (map/accumulate-builds #<store-connection 256.100 7f071b3b47d0> #<procedure 7f072445c000 at guix/store.scm:1439:36 …> …)
  1438:13 13 (map/accumulate-builds #<store-connection 256.100 7f071b3b47d0> #<procedure 7f0735a1c9e0 at guix/store.scm:1439:36 …> …)
  1438:13 12 (map/accumulate-builds #<store-connection 256.100 7f071b3b47d0> #<procedure 7f071d7659a0 at guix/store.scm:1439:36 …> …)
  1413:11 11 (map/accumulate-builds #<store-connection 256.100 7f071b3b47d0> #<procedure 7f0719988da0 at guix/store.scm:1439:36 …> …)
   1331:8 10 (call-with-build-handler #<procedure 7f071e518e40 at guix/store.scm:1366:2 (continue store things mode)> _)
In ice-9/boot-9.scm:
  1752:10  9 (with-exception-handler _ _ #:unwind? _ #:unwind-for-type _)
In guix/scripts/deploy.scm:
    191:6  8 (_)
In guix/store.scm:
  2212:25  7 (run-with-store #<store-connection 256.100 7f071b3b47d0> _ #:guile-for-build _ #:system _ #:target _)
In gnu/machine/ssh.scm:
   548:14  6 (_ _)
In guix/scripts/system/reconfigure.scm:
    214:2  5 (_ _)
   153:12  4 (_ _)
In srfi/srfi-1.scm:
    241:2  3 (map _ _)
In ice-9/boot-9.scm:
  1685:16  2 (raise-exception _ #:continuable? _)
  1685:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
In procedure map: Wrong type argument: #t
--8<---------------cut here---------------end--------------->8---